Subject: [AAA-WG]: Issue 91: MIP SPIs

From: Pat Calhoun <[email-masked]>
Date: Mon, 16 Jul 2001 16:58:10 -0700

All,

I'm in the process of addressing Issue 91. The new draft will let
the HA create the SPIs, and in the process of making the changes, I've
come across an additional necessary change.

Currently, when the AAAH creates the keys for the mobile node, it
creates the MIP generalized key extension. However, all keys destined
for the FA and HA are sent as a Grouped AVP.

It doesn't make sense to keep this model, since the SPI would be left
null. Therefore, the keys destined for the mobile node will be changed
to the Grouped AVP, and text will be added that states that the Home
Agent is responsible for creating the Generalized key extension.

PatC